Base Module VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Macros | Functions
fdebug.h File Reference

Debugging tools. More...

`#include "pluginterfaces/base/ftypes.h"`
`#include <cstring>`

## Macros
#define | SMTG_ASSERT(f)
| if DEVELOPMENT is not set, these macros will do nothing.
#define | SMTG_ASSERT_MSG(f, msg)
#define | SMTG_WARNING(s)
#define | SMTG_PRINTSYSERROR
#define | SMTG_DEBUGSTR(s)
#define | SMTG_VERIFY(f) f;
#define | SMTG_VERIFY_IS(f, r) f;
#define | SMTG_VERIFY_NOT(f, r) f;
#define | SMTG_DBPRT0(a)
#define | SMTG_DBPRT1(a, b)
#define | SMTG_DBPRT2(a, b, c)
#define | SMTG_DBPRT3(a, b, c, d)
#define | SMTG_DBPRT4(a, b, c, d, e)
#define | SMTG_DBPRT5(a, b, c, d, e, f)
#define | NEW new
#define | NEWVEC new
#define | ASSERT SMTG_ASSERT
#define | WARNING SMTG_WARNING
#define | DEBUGSTR SMTG_DEBUGSTR
#define | VERIFY SMTG_VERIFY
#define | VERIFY_IS SMTG_VERIFY_IS
#define | VERIFY_NOT SMTG_VERIFY_NOT
#define | PRINTSYSERROR SMTG_PRINTSYSERROR
#define | DBPRT0 SMTG_DBPRT0
#define | DBPRT1 SMTG_DBPRT1
#define | DBPRT2 SMTG_DBPRT2
#define | DBPRT3 SMTG_DBPRT3
#define | DBPRT4 SMTG_DBPRT4
#define | DBPRT5 SMTG_DBPRT5

## Functions
bool | AmIBeingDebugged ()
| Returns true if a debugger is attached.
bool | isSmtgUnitTesting ()
void | setSmtgUnitTesting ()

## Detailed Description

Debugging tools.

There are 2 levels of debugging messages:

- DEVELOPMENT
  - During development
- RELEASE
  - Program is shipping.

## Macro Definition Documentation

#define SMTG_ASSERT | ( |  | f | ) |

if DEVELOPMENT is not set, these macros will do nothing.

#define SMTG_ASSERT_MSG | ( |  | f,
|  |  | msg
| ) |  |

#define SMTG_WARNING | ( |  | s | ) |

#define SMTG_PRINTSYSERROR

#define SMTG_DEBUGSTR | ( |  | s | ) |

#define SMTG_VERIFY | ( |  | f | ) | f;

#define SMTG_VERIFY_IS | ( |  | f,
|  |  | r
| ) |  | f;

#define SMTG_VERIFY_NOT | ( |  | f,
|  |  | r
| ) |  | f;

#define SMTG_DBPRT0 | ( |  | a | ) |

#define SMTG_DBPRT1 | ( |  | a,
|  |  | b
| ) |  |

#define SMTG_DBPRT2 | ( |  | a,
|  |  | b,
|  |  | c
| ) |  |

#define SMTG_DBPRT3 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

#define SMTG_DBPRT4 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e
| ) |  |

#define SMTG_DBPRT5 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e,
|  |  | f
| ) |  |

#define NEW new

#define NEWVEC new

#define ASSERT SMTG_ASSERT

#define WARNING SMTG_WARNING

#define DEBUGSTR SMTG_DEBUGSTR

#define VERIFY SMTG_VERIFY

#define VERIFY_IS SMTG_VERIFY_IS

#define VERIFY_NOT SMTG_VERIFY_NOT

#define PRINTSYSERROR SMTG_PRINTSYSERROR

#define DBPRT0 SMTG_DBPRT0

#define DBPRT1 SMTG_DBPRT1

#define DBPRT2 SMTG_DBPRT2

#define DBPRT3 SMTG_DBPRT3

#define DBPRT4 SMTG_DBPRT4

#define DBPRT5 SMTG_DBPRT5

## Function Documentation

bool AmIBeingDebugged | ( |  | ) |

Returns true if a debugger is attached.

bool isSmtgUnitTesting | ( |  | ) |

void setSmtgUnitTesting | ( |  | ) |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.